PIRL.TreeTable

## Interface TreeTableModel

All Superinterfaces:
  TreeModel

All Known Implementing Classes:
  AbstractTreeTableModel

    public interface TreeTableModel
    extends TreeModel

TreeTableModel is the model used by a JTreeTable. It extends TreeModel to add methods for getting inforamtion about the set of columns each node in the TreeTableModel may have. Each column, like a column in a TableModel, has a name and a type associated with it. Each node in the TreeTableModel can return a value for each of the columns and set that value if isCellEditable() returns true.

### Method Summary

Methods
`Class` `getColumnClass(int column)` Returns the type for column number `column`.
`int` `getColumnCount()` Returns the number ofs availible column.
`String` `getColumnName(int column)` Returns the name for column number `column`.
`Object` `getValueAt(Object node, int column)` Returns the value to be displayed for node `node`, at column number `column`.
`boolean` `isCellEditable(Object node, int column)` Indicates whether the the value for node `node`, at column number `column` is editable.
`void` `setValueAt(Object aValue, Object node, int column)` Sets the value for node `node`, at column number `column`.

### Methods inherited from interface javax.swing.tree.TreeModel

`addTreeModelListener, getChild, getChildCount, getIndexOfChild, getRoot, isLeaf, removeTreeModelListener, valueForPathChanged`

### Method Detail

#### getColumnCount

    int getColumnCount()

Returns the number ofs availible column.

#### getColumnName

    String getColumnName(int column)

Returns the name for column number `column`.

#### getColumnClass

    Class getColumnClass(int column)

Returns the type for column number `column`.

#### getValueAt

    Object getValueAt(Object node,
                    int column)

Returns the value to be displayed for node `node`, at column number `column`.

#### isCellEditable

    boolean isCellEditable(Object node,
                         int column)

Indicates whether the the value for node `node`, at column number `column` is editable.

#### setValueAt

    void setValueAt(Object aValue,
                  Object node,
                  int column)

Sets the value for node `node`, at column number `column`.